View Issue Details

IDProjectCategoryView StatusLast Update
0003591GNUnetUDP transportpublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PriorityhighSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003591: Assertion failed at transport_api_monitor_plugins.c:359.
DescriptionRunning a peer with connections (tcp + udp plugins enabled), I get after a short time of running gnunet-peerinfo-gtk:

Dec 24 00:20:27-618202 gnunet-peerinfo-gtk-7075 ERROR Assertion failed at transport_api_monitor_plugins.c:359.
TagsNo tags attached.

Relationships

has duplicate 0003649 closedChristian Grothoff gnunet-gtk Revision 35091: gnunet-peerinfo-gtk-32245 ERROR 

Activities

Christian Grothoff

2014-12-24 00:26

manager   ~0008727

This is the context:

     (void) GNUNET_CONTAINER_multihashmap32_get_multiple (pm->sessions,
                                                         wrap_id (tpmm->session_id),
                                                         &locate_by_id,
                                                         &rv);
    ps = rv.ps;
    if (NULL == ps)
    {
      GNUNET_break (0);
      reconnect_plugin_ctx (pm);
      return;
    }

In other words, we try to find the session Id that matches the message we received from the transport service, failed and then reconnect to recover.
So either we don't store/maintain our sessions map correctly, or the transport service sends garbage, neither is good.

Christian Grothoff

2014-12-24 00:29

manager   ~0008728

valgrind gives no (relevant) transport service or client errors before the warning.

Christian Grothoff

2015-03-02 21:13

manager   ~0008966

Still there, just now at line :346. Only appears when UDP is configured.

Christian Grothoff

2015-03-02 21:38

manager   ~0008968

Fixed in SVN 35339.

Issue History

Date Modified Username Field Change
2014-12-24 00:23 Christian Grothoff New Issue
2014-12-24 00:24 Christian Grothoff Project gnunet-gtk => GNUnet
2014-12-24 00:24 Christian Grothoff Category gnunet-peerinfo-gtk => General
2014-12-24 00:24 Christian Grothoff Severity minor => major
2014-12-24 00:24 Christian Grothoff Status new => confirmed
2014-12-24 00:24 Christian Grothoff Category General => transport service
2014-12-24 00:25 Christian Grothoff Assigned To => Christian Grothoff
2014-12-24 00:25 Christian Grothoff Status confirmed => assigned
2014-12-24 00:25 Christian Grothoff Priority normal => high
2014-12-24 00:26 Christian Grothoff Note Added: 0008727
2014-12-24 00:29 Christian Grothoff Note Added: 0008728
2015-03-02 21:13 Christian Grothoff Note Added: 0008966
2015-03-02 21:14 Christian Grothoff Category transport service => UDP transport
2015-03-02 21:36 Christian Grothoff Target Version => 0.11.0pre66
2015-03-02 21:37 Christian Grothoff Relationship added has duplicate 0003649
2015-03-02 21:38 Christian Grothoff Note Added: 0008968
2015-03-02 21:38 Christian Grothoff Status assigned => resolved
2015-03-02 21:38 Christian Grothoff Fixed in Version => 0.11.0pre66
2015-03-02 21:38 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed